Subject: Re: bug#33999: CP437: Invalid Argument on init

From: Bryan Ferris <[email-masked]>
Date: Thu, 10 Jan 2019 07:15:10 -0800

I've linked to two videos here, one of the boot (the screen with the GNU
logo and "100% freedom" on it) and one of the init (where Shepherd reports
errors, I think it's dmesg?).

Boot:
https://drive.google.com/file/d/1YMbCI3BvznhMI_eYYTxMvxJC2SKlNqSJ/view?usp=sharing
Init:
https://drive.google.com/file/d/1CZov16Xrpy9D8DMN9eHeANjR7UHh2WpL/view?usp=sharing

On Thu, Jan 10, 2019 at 6:31 AM Bryan Ferris <[email-masked]> wrote:

> I've attached two videos here, one of the boot (the screen with the GNU
> logo and "100% freedom" on it) and one of the init (where Shepherd reports
> errors, I think it's dmesg?).
>
> On Wed, Jan 9, 2019, 13:18 Bryan Ferris <[email-masked] wrote:
>
>> I assume that it is related because the error is printed once for each
>> failed service but I have no better reason than that. I can send a video of
>> my boot tonight... It might be a little blurry though, all I have is my
>> phone camera. If there's a way for me to start a screen recorder during
>> init or capture the logs that it prints as a text file I'd be happy to do
>> that, I just don't know of a way to.
>>
>>
>>
>> On Jan 9, 2019 11:08, "Danny Milosavljevic" <[email-masked]>
>> wrote:
>>
>> Hi,
>>
>> apparently the message is printed by fsck.fat and is harmless (although
>> we should
>> still fix it).  Are you sure that the services fail because of it?
>>
>> >   (file-systems (cons*
>> >                   (file-system
>> >                     (device (file-system-label "ESP"))
>> >                     (mount-point "/boot/efi")
>> >                     (type "fat")
>>
>> Try adding (check? #f) here for testing purposes.
>>
>> >                   )
>>
>>
>>